Utopia PaymentsDocs
Subscriptions

List subscriptions

GET
/subscriptions

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string

The next_cursor of the previous page.

status?unknown

Value in

  • "active"
  • "on_hold"
  • "cancelled"
customer_id?string
Match^cus_[0-9a-f]{32}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/subscriptions"
{  "items": [    {      "object": "subscription",      "subscription_id": "sub_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "status": "active",      "product_id": "pdt_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "name": "string",      "quantity": 0,      "recurring_amount": 0,      "currency": "AED",      "billing_interval": "day",      "interval_count": 0,      "customer": {        "customer_id": "cus_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",        "name": "string",        "email": "string"      },      "payment_method": {        "brand": "string",        "last4": "string",        "exp_month": 0,        "exp_year": 0      },      "current_period_start": "2019-08-24T14:15:22Z",      "next_billing_date": "2019-08-24T14:15:22Z",      "cancel_at_period_end": true,      "cancelled_at": "2019-08-24T14:15:22Z",      "cancellation_reason": "requested",      "failed_payment_attempts": 0,      "next_retry_at": "2019-08-24T14:15:22Z",      "checkout_session_id": "cks_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "metadata": {        "property1": "string",        "property2": "string"      },      "livemode": true,      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}